from fastapi import WebSocket


class WebSocketManager:
    def __init__(self):
        self.active_socket: dict[str, WebSocket] = {}

    async def connect(self, id: str, websocket: WebSocket):
        await websocket.accept()
        self.active_socket[id] = websocket


manager = WebSocketManager()
